document.getElementById('investmentForm').addEventListener('submit', function(e) {
  e.preventDefault();
  
  const initialAmount = parseFloat(document.getElementById('initialAmount').value);
  const monthlyContribution = parseFloat(document.getElementById('monthlyContribution').value);
  const annualReturn = parseFloat(document.getElementById('annualReturn').value) / 100;
  const years = parseInt(document.getElementById('years').value);
  
  const months = years * 12;
  const monthlyReturn = annualReturn / 12;
  
  let futureValue = initialAmount * Math.pow(1 + monthlyReturn, months);
  
  for (let i = 0; i < months; i++) {
    futureValue += monthlyContribution * Math.pow(1 + monthlyReturn, months - i);
  }
  
  const resultElement = document.getElementById('result');
  resultElement.innerHTML = `
    <h3>Projected Investment Value</h3>
    <p>After ${years} years, your investment could grow to:</p>
    <p class="highlight">$${futureValue.toFixed(2)}</p>
  `;
});